Bug 142184 - nscd policy does not allow reading /dev/urandom
nscd policy does not allow reading /dev/urandom
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks: 138911
  Show dependency treegraph
 
Reported: 2004-12-07 18:04 EST by Ulrich Drepper
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 1.17.30-2.44
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-21 18:48:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to add support for reading (311 bytes, patch)
2004-12-07 18:04 EST, Ulrich Drepper
no flags Details | Diff

  None (edit)
Description Ulrich Drepper 2004-12-07 18:04:07 EST
Description of problem:
When using the nss_ldap module with tls the crypto code needs urandom access.

Version-Release number of selected component (if applicable):
1.17.30-2.39

How reproducible:
see bug 138911

Steps to Reproduce:
1.see bug 138911
2.
3.
  
Actual results:


Expected results:


Additional info:
This issue is critical for RHEL4.
Comment 1 Ulrich Drepper 2004-12-07 18:04:07 EST
Created attachment 108072 [details]
patch to add support for reading
Comment 2 Daniel Walsh 2004-12-08 12:12:55 EST
Fixed in selinux-policy-targetd-1.17.30-2.44 (45 for RHEL)
Comment 3 Ulrich Drepper 2004-12-21 18:48:58 EST
Fixed and went out as an update.

Note You need to log in before you can comment on or make changes to this bug.